twitter4j.api

## Interface ListsResources

All Known Subinterfaces:
  Twitter

    public interface ListsResources

Author:
  Joern Huxhorn - jhuxhorn at googlemail.com

### Method Summary

All Methods Instance Methods Abstract Methods
`UserList` `createUserList(String listName, boolean isPublicList, String description)` Creates a new list for the authenticated user.
`UserList` `createUserListMember(long listId, long userId)` Adds a member to a list.
`UserList` `createUserListMember(long ownerId, String slug, long userId)` Adds a member to a list.
`UserList` `createUserListMember(String ownerScreenName, String slug, long userId)` Adds a member to a list.
`UserList` `createUserListMembers(long listId, long... userIds)` Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names.
`UserList` `createUserListMembers(long listId, String... screenNames)` Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names.
`UserList` `createUserListMembers(long ownerId, String slug, long... userIds)` Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names.
`UserList` `createUserListMembers(long ownerId, String slug, String... screenNames)` Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names.
`UserList` `createUserListMembers(String ownerScreenName, String slug, long... userIds)` Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names.
`UserList` `createUserListMembers(String ownerScreenName, String slug, String... screenNames)` Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names.
`UserList` `createUserListSubscription(long listId)` Make the authenticated user follow the specified list.
`UserList` `createUserListSubscription(long ownerId, String slug)` Make the authenticated user follow the specified list.
`UserList` `createUserListSubscription(String ownerScreenName, String slug)` Make the authenticated user follow the specified list.
`UserList` `destroyUserList(long listId)` Deletes the specified list.
`UserList` `destroyUserList(long ownerId, String slug)` Deletes the specified list.
`UserList` `destroyUserList(String ownerScreenName, String slug)` Deletes the specified list.
`UserList` `destroyUserListMember(long listId, long userId)` Removes the specified member from the list.
`UserList` `destroyUserListMember(long listId, String screenName)` Removes the specified members from the list.
`UserList` `destroyUserListMember(long ownerId, String slug, long userId)` Removes the specified member from the list.
`UserList` `destroyUserListMember(String ownerScreenName, String slug, long userId)` Removes the specified member from the list.
`UserList` `destroyUserListMembers(long listId, long[] userIds)` Removes the specified members from the list.
`UserList` `destroyUserListMembers(long listId, String[] screenNames)` Removes the specified members from the list.
`UserList` `destroyUserListMembers(String ownerScreenName, String slug, String[] screenNames)` Removes the specified members from the list.
`UserList` `destroyUserListSubscription(long listId)` Unsubscribes the authenticated user form the specified list.
`UserList` `destroyUserListSubscription(long ownerId, String slug)` Unsubscribes the authenticated user form the specified list.
`UserList` `destroyUserListSubscription(String ownerScreenName, String slug)` Unsubscribes the authenticated user form the specified list.
`PagableResponseList<User>` `getUserListMembers(long listId, int count, long cursor)` Returns the members of the specified list.
`PagableResponseList<User>` `getUserListMembers(long listId, int count, long cursor, boolean skipStatus)` Returns the members of the specified list.
`PagableResponseList<User>` `getUserListMembers(long listId, long cursor)` Returns the members of the specified list.
`PagableResponseList<User>` `getUserListMembers(long ownerId, String slug, int count, long cursor)` Returns the members of the specified list.
`PagableResponseList<User>` `getUserListMembers(long ownerId, String slug, int count, long cursor, boolean skipStatus)` Returns the members of the specified list.
`PagableResponseList<User>` `getUserListMembers(long ownerId, String slug, long cursor)` Returns the members of the specified list.
`PagableResponseList<User>` `getUserListMembers(String ownerScreenName, String slug, int count, long cursor)` Returns the members of the specified list.
`PagableResponseList<User>` `getUserListMembers(String ownerScreenName, String slug, int count, long cursor, boolean skipStatus)` Returns the members of the specified list.
`PagableResponseList<User>` `getUserListMembers(String ownerScreenName, String slug, long cursor)` Returns the members of the specified list.
`PagableResponseList<UserList>` `getUserListMemberships(int count, long cursor)` List the lists the authenticating user has been added to.
`PagableResponseList<UserList>` `getUserListMemberships(long cursor)` List the lists the authenticating user has been added to.
`PagableResponseList<UserList>` `getUserListMemberships(long listMemberId, int count, long cursor)` List the lists the specified user has been added to.
`PagableResponseList<UserList>` `getUserListMemberships(long listMemberId, int count, long cursor, boolean filterToOwnedLists)` List the lists the specified user has been added to.
`PagableResponseList<UserList>` `getUserListMemberships(long listMemberId, long cursor)` List the lists the specified user has been added to.
`PagableResponseList<UserList>` `getUserListMemberships(long listMemberId, long cursor, boolean filterToOwnedLists)` List the lists the specified user has been added to.
`PagableResponseList<UserList>` `getUserListMemberships(String listMemberScreenName, int count, long cursor)` List the lists the specified user has been added to.
`PagableResponseList<UserList>` `getUserListMemberships(String listMemberScreenName, int count, long cursor, boolean filterToOwnedLists)` List the lists the specified user has been added to.
`PagableResponseList<UserList>` `getUserListMemberships(String listMemberScreenName, long cursor)` List the lists the specified user has been added to.
`PagableResponseList<UserList>` `getUserListMemberships(String listMemberScreenName, long cursor, boolean filterToOwnedLists)` List the lists the specified user has been added to.
`ResponseList<UserList>` `getUserLists(long listOwnerUserId)` List the lists of the specified user.
`ResponseList<UserList>` `getUserLists(long listOwnerUserId, boolean reverse)` List the lists of the specified user.
`ResponseList<UserList>` `getUserLists(String listOwnerScreenName)` List the lists of the specified user.
`ResponseList<UserList>` `getUserLists(String listOwnerScreenName, boolean reverse)` List the lists of the specified user.
`PagableResponseList<UserList>` `getUserListsOwnerships(long listOwnerId, int count, long cursor)` Returns the lists owned by the specified Twitter user.
`PagableResponseList<UserList>` `getUserListsOwnerships(long listOwnerId, long cursor)` Returns the lists owned by the specified Twitter user.
`PagableResponseList<UserList>` `getUserListsOwnerships(String listOwnerScreenName, int count, long cursor)` Returns the lists owned by the specified Twitter user.
`PagableResponseList<UserList>` `getUserListsOwnerships(String listOwnerScreenName, long cursor)` Returns the lists owned by the specified Twitter user.
`ResponseList<Status>` `getUserListStatuses(long listId, Paging paging)` Show tweet timeline for members of the specified list.
`ResponseList<Status>` `getUserListStatuses(long ownerId, String slug, Paging paging)` Show tweet timeline for members of the specified list.
`ResponseList<Status>` `getUserListStatuses(String ownerScreenName, String slug, Paging paging)` Show tweet timeline for members of the specified list.
`PagableResponseList<User>` `getUserListSubscribers(long listId, int count, long cursor)` Returns the subscribers of the specified list.
`PagableResponseList<User>` `getUserListSubscribers(long listId, int count, long cursor, boolean skipStatus)` Returns the subscribers of the specified list.
`PagableResponseList<User>` `getUserListSubscribers(long listId, long cursor)` Returns the subscribers of the specified list.
`PagableResponseList<User>` `getUserListSubscribers(long ownerId, String slug, int count, long cursor)` Returns the subscribers of the specified list.
`PagableResponseList<User>` `getUserListSubscribers(long ownerId, String slug, int count, long cursor, boolean skipStatus)` Returns the subscribers of the specified list.
`PagableResponseList<User>` `getUserListSubscribers(long ownerId, String slug, long cursor)` Returns the subscribers of the specified list.
`PagableResponseList<User>` `getUserListSubscribers(String ownerScreenName, String slug, int count, long cursor)` Returns the subscribers of the specified list.
`PagableResponseList<User>` `getUserListSubscribers(String ownerScreenName, String slug, int count, long cursor, boolean skipStatus)` Returns the subscribers of the specified list.
`PagableResponseList<User>` `getUserListSubscribers(String ownerScreenName, String slug, long cursor)` Returns the subscribers of the specified list.
`PagableResponseList<UserList>` `getUserListSubscriptions(long listSubscriberId, int count, long cursor)` List the lists the specified user follows.
`PagableResponseList<UserList>` `getUserListSubscriptions(long listSubscriberId, long cursor)` List the lists the specified user follows.
`PagableResponseList<UserList>` `getUserListSubscriptions(String listSubscriberScreenName, int count, long cursor)` List the lists the specified user follows.
`PagableResponseList<UserList>` `getUserListSubscriptions(String listSubscriberScreenName, long cursor)` List the lists the specified user follows.
`UserList` `showUserList(long listId)` Show the specified list.
`UserList` `showUserList(long ownerId, String slug)` Show the specified list.
`UserList` `showUserList(String ownerScreenName, String slug)` Show the specified list.
`User` `showUserListMembership(long listId, long userId)` Check if a user is a member of the specified list. This method calls https://api.twitter.com/1.1/lists/members/show.json
`User` `showUserListMembership(long ownerId, String slug, long userId)` Check if a user is a member of the specified list. This method calls https://api.twitter.com/1.1/lists/members/show.json
`User` `showUserListMembership(String ownerScreenName, String slug, long userId)` Check if a user is a member of the specified list. This method calls https://api.twitter.com/1.1/lists/members/show.json
`User` `showUserListSubscription(long listId, long userId)` Check if the specified user is a subscriber of the specified list.
`User` `showUserListSubscription(long ownerId, String slug, long userId)` Check if the specified user is a subscriber of the specified list.
`User` `showUserListSubscription(String ownerScreenName, String slug, long userId)` Check if the specified user is a subscriber of the specified list.
`UserList` `updateUserList(long listId, String newListName, boolean isPublicList, String newDescription)` Updates the specified list.
`UserList` `updateUserList(long ownerId, String slug, String newListName, boolean isPublicList, String newDescription)` Updates the specified list.
`UserList` `updateUserList(String ownerScreenName, String slug, String newListName, boolean isPublicList, String newDescription)` Updates the specified list.

### Method Detail

#### getUserLists

    ResponseList<UserList> getUserLists(String listOwnerScreenName)
                                 throws TwitterException

List the lists of the specified user. Private lists will be included if the authenticated users is the same as the user whose lists are being returned.
This method calls https://api.twitter.com/1.1/lists.json

Parameters:
  `listOwnerScreenName` - The screen name of the list owner as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  GET lists/list | Twitter Developers

#### getUserLists

    ResponseList<UserList> getUserLists(String listOwnerScreenName,
                                        boolean reverse)
                                 throws TwitterException

List the lists of the specified user. Private lists will be included if the authenticated users is the same as the user whose lists are being returned.
This method calls https://api.twitter.com/1.1/lists.json

Parameters:
  `listOwnerScreenName` - The screen name of the list owner as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `reverse` - Set this to true if you would like owned lists to be returned first
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/list | Twitter Developers

#### getUserLists

    ResponseList<UserList> getUserLists(long listOwnerUserId)
                                 throws TwitterException

List the lists of the specified user. Private lists will be included if the authenticated users is the same as the user whose lists are being returned.
This method calls https://api.twitter.com/1.1/lists.json

Parameters:
  `listOwnerUserId` - The id of the list owner
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.2.3
See Also:
  GET lists/list | Twitter Developers

#### getUserLists

    ResponseList<UserList> getUserLists(long listOwnerUserId,
                                        boolean reverse)
                                 throws TwitterException

List the lists of the specified user. Private lists will be included if the authenticated users is the same as the user whose lists are being returned.
This method calls https://api.twitter.com/1.1/lists.json

Parameters:
  `listOwnerUserId` - The id of the list owner
  `reverse` - Set this to true if you would like owned lists to be returned first
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/list | Twitter Developers

#### getUserListStatuses

    ResponseList<Status> getUserListStatuses(long listId,
                                             Paging paging)
                                      throws TwitterException

Show tweet timeline for members of the specified list.
https://api.twitter.com/1/user/lists/list_id/statuses.json

Parameters:
  `listId` - The id of the list
  `paging` - controls pagination. Supports since_id, max_id, count and page parameters.
Returns:
  list of statuses for members of the specified list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.2.3
See Also:
  GET lists/statuses | Twitter Developers

#### getUserListStatuses

    ResponseList<Status> getUserListStatuses(long ownerId,
                                             String slug,
                                             Paging paging)
                                      throws TwitterException

Show tweet timeline for members of the specified list.
https://api.twitter.com/1/user/lists/list_id/statuses.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `paging` - controls pagination. Supports since_id, max_id, count and page parameters.
Returns:
  list of statuses for members of the specified list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  GET lists/statuses | Twitter Developers

#### getUserListStatuses

    ResponseList<Status> getUserListStatuses(String ownerScreenName,
                                             String slug,
                                             Paging paging)
                                      throws TwitterException

Show tweet timeline for members of the specified list.
https://api.twitter.com/1.1/lists/statuses.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `paging` - controls pagination. Supports since_id, max_id, count and page parameters.
Returns:
  list of statuses for members of the specified list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  GET lists/statuses | Twitter Developers

#### destroyUserListMember

    UserList destroyUserListMember(long listId,
                                   long userId)
                            throws TwitterException

Removes the specified member from the list. The authenticated user must be the list's owner to remove members from the list.
This method calls https://api.twitter.com/1.1/lists/members/destroy.json

Parameters:
  `listId` - The id of the list.
  `userId` - The screen name of the member you wish to remove from the list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  POST lists/members/destroy | Twitter Developers

#### destroyUserListMember

    UserList destroyUserListMember(long listId,
                                   String screenName)
                            throws TwitterException

Removes the specified members from the list. The authenticated user must be the list's owner to remove members from the list.
This method calls https://api.twitter.com/1.1/lists/members/destroy.json

Parameters:
  `listId` - The id of the list.
  `screenName` - The screen name of the member you wish to remove from the list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.6
See Also:
  POST lists/members/destroy | Twitter Developers

#### destroyUserListMembers

    UserList destroyUserListMembers(long listId,
                                    String[] screenNames)
                             throws TwitterException

Removes the specified members from the list. The authenticated user must be the list's owner to remove members from the list.
This method calls https://api.twitter.com/1.1/lists/members/destroy_all.json

Parameters:
  `listId` - The id of the list.
  `screenNames` - The screen names of the members you wish to remove from the list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.6
See Also:
  POST lists/members/destroy_all | Twitter Developers

#### destroyUserListMembers

    UserList destroyUserListMembers(long listId,
                                    long[] userIds)
                             throws TwitterException

Removes the specified members from the list. The authenticated user must be the list's owner to remove members from the list.
This method calls https://api.twitter.com/1.1/lists/members/destroy_all.json

Parameters:
  `listId` - The id of the list.
  `userIds` - The array of ids of the user to add as member of the list. up to 100 are allowed in a single request.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.6
See Also:
  POST lists/members/destroy_all | Twitter Developers

#### destroyUserListMembers

    UserList destroyUserListMembers(String ownerScreenName,
                                    String slug,
                                    String[] screenNames)
                             throws TwitterException

Removes the specified members from the list. The authenticated user must be the list's owner to remove members from the list.
This method calls https://api.twitter.com/1.1/lists/members/destroy_all.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `screenNames` - The screen names of the members you wish to remove from the list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.6
See Also:
  POST lists/members/destroy_all | Twitter Developers

#### destroyUserListMember

    UserList destroyUserListMember(long ownerId,
                                   String slug,
                                   long userId)
                            throws TwitterException

Removes the specified member from the list. The authenticated user must be the list's owner to remove members from the list.
This method calls https://api.twitter.com/1.1/lists/members/destroy.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userId` - The screen name of the member you wish to remove from the list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/members/destroy | Twitter Developers

#### destroyUserListMember

    UserList destroyUserListMember(String ownerScreenName,
                                   String slug,
                                   long userId)
                            throws TwitterException

Removes the specified member from the list. The authenticated user must be the list's owner to remove members from the list.
This method calls https://api.twitter.com/1.1/lists/members/destroy.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userId` - The screen name of the member you wish to remove from the list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  POST lists/members/destroy | Twitter Developers

#### getUserListMemberships

    PagableResponseList<UserList> getUserListMemberships(long cursor)
                                                  throws TwitterException

List the lists the authenticating user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
  `IllegalStateException` - when authorization is not enabled
Since:
  Twitter4J 2.2.4
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    PagableResponseList<UserList> getUserListMemberships(int count,
                                                         long cursor)
                                                  throws TwitterException

List the lists the authenticating user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `count` - The amount of results to return per page. No more than 1000 results will ever be returned in a single page.
  `cursor` - Breaks the results into pages. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
  `IllegalStateException` - when authorization is not enabled
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    PagableResponseList<UserList> getUserListMemberships(long listMemberId,
                                                         long cursor)
                                                  throws TwitterException

List the lists the specified user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `listMemberId` - The id of the list member
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.2.4
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    PagableResponseList<UserList> getUserListMemberships(long listMemberId,
                                                         int count,
                                                         long cursor)
                                                  throws TwitterException

List the lists the specified user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `listMemberId` - The id of the list member
  `count` - The amount of results to return per page. No more than 1000 results will ever be returned in a single page.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    PagableResponseList<UserList> getUserListMemberships(String listMemberScreenName,
                                                         long cursor)
                                                  throws TwitterException

List the lists the specified user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `listMemberScreenName` - The screen name of the list member
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    PagableResponseList<UserList> getUserListMemberships(String listMemberScreenName,
                                                         int count,
                                                         long cursor)
                                                  throws TwitterException

List the lists the specified user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `listMemberScreenName` - The screen name of the list member
  `count` - The amount of results to return per page. No more than 1000 results will ever be returned in a single page.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    PagableResponseList<UserList> getUserListMemberships(String listMemberScreenName,
                                                         long cursor,
                                                         boolean filterToOwnedLists)
                                                  throws TwitterException

List the lists the specified user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `listMemberScreenName` - The screen name of the list member
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `filterToOwnedLists` - Whether to return just lists the authenticating user owns, and the user represented by listMemberScreenName is a member of.
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
  `IllegalStateException` - when filerToOwnedLists is true but authorization is not enabled
Since:
  Twitter4J 2.2.4
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    PagableResponseList<UserList> getUserListMemberships(String listMemberScreenName,
                                                         int count,
                                                         long cursor,
                                                         boolean filterToOwnedLists)
                                                  throws TwitterException

List the lists the specified user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `listMemberScreenName` - The screen name of the list member
  `count` - The amount of results to return per page. No more than 1000 results will ever be returned in a single page.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `filterToOwnedLists` - Whether to return just lists the authenticating user owns, and the user represented by listMemberScreenName is a member of.
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
  `IllegalStateException` - when filerToOwnedLists is true but authorization is not enabled
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    PagableResponseList<UserList> getUserListMemberships(long listMemberId,
                                                         long cursor,
                                                         boolean filterToOwnedLists)
                                                  throws TwitterException

List the lists the specified user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `listMemberId` - The id of the list member
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `filterToOwnedLists` - Whether to return just lists the authenticating user owns, and the user represented by listMemberId is a member of.
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
  `IllegalStateException` - when filerToOwnedLists is true but authorization is not enabled
Since:
  Twitter4J 2.2.4
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListMemberships

    PagableResponseList<UserList> getUserListMemberships(long listMemberId,
                                                         int count,
                                                         long cursor,
                                                         boolean filterToOwnedLists)
                                                  throws TwitterException

List the lists the specified user has been added to.
This method calls https://api.twitter.com/1.1/lists/memberships.json

Parameters:
  `listMemberId` - The id of the list member
  `count` - The amount of results to return per page. No more than 1000 results will ever be returned in a single page.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `filterToOwnedLists` - Whether to return just lists the authenticating user owns, and the user represented by listMemberId is a member of.
Returns:
  the list of lists
Throws:
  `TwitterException` - when Twitter service or network is unavailable
  `IllegalStateException` - when filerToOwnedLists is true but authorization is not enabled
Since:
  Twitter4J 2.2.4
See Also:
  GET lists/memberships | Twitter Developers

#### getUserListSubscribers

    PagableResponseList<User> getUserListSubscribers(long listId,
                                                     long cursor)
                                              throws TwitterException

Returns the subscribers of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers.json

Parameters:
  `listId` - The id of the list
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.2.3
See Also:
  GET lists/subscribers | Twitter Developers

#### getUserListSubscribers

    PagableResponseList<User> getUserListSubscribers(long listId,
                                                     int count,
                                                     long cursor)
                                              throws TwitterException

Returns the subscribers of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers.json

Parameters:
  `listId` - The id of the list
  `count` - Specifies the number of results to return per page. The default is 20, with a maximum of 5,000.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/subscribers | Twitter Developers

#### getUserListSubscribers

    PagableResponseList<User> getUserListSubscribers(long listId,
                                                     int count,
                                                     long cursor,
                                                     boolean skipStatus)
                                              throws TwitterException

Returns the subscribers of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers.json

Parameters:
  `listId` - The id of the list
  `count` - Specifies the number of results to return per page. The default is 20, with a maximum of 5,000.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `skipStatus` - When set to either true, t or 1 statuses will not be included in the returned user objects.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/subscribers | Twitter Developers

#### getUserListSubscribers

    PagableResponseList<User> getUserListSubscribers(long ownerId,
                                                     String slug,
                                                     long cursor)
                                              throws TwitterException

Returns the subscribers of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  GET lists/subscribers | Twitter Developers

#### getUserListSubscribers

    PagableResponseList<User> getUserListSubscribers(long ownerId,
                                                     String slug,
                                                     int count,
                                                     long cursor)
                                              throws TwitterException

Returns the subscribers of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `count` - Specifies the number of results to return per page. The default is 20, with a maximum of 5,000.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/subscribers | Twitter Developers

#### getUserListSubscribers

    PagableResponseList<User> getUserListSubscribers(long ownerId,
                                                     String slug,
                                                     int count,
                                                     long cursor,
                                                     boolean skipStatus)
                                              throws TwitterException

Returns the subscribers of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `count` - Specifies the number of results to return per page. The default is 20, with a maximum of 5,000.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `skipStatus` - When set to either true, t or 1 statuses will not be included in the returned user objects.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/subscribers | Twitter Developers

#### getUserListSubscribers

    PagableResponseList<User> getUserListSubscribers(String ownerScreenName,
                                                     String slug,
                                                     long cursor)
                                              throws TwitterException

Returns the subscribers of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  GET lists/subscribers | Twitter Developers

#### getUserListSubscribers

    PagableResponseList<User> getUserListSubscribers(String ownerScreenName,
                                                     String slug,
                                                     int count,
                                                     long cursor)
                                              throws TwitterException

Returns the subscribers of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `count` - Specifies the number of results to return per page. The default is 20, with a maximum of 5,000.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/subscribers | Twitter Developers

#### getUserListSubscribers

    PagableResponseList<User> getUserListSubscribers(String ownerScreenName,
                                                     String slug,
                                                     int count,
                                                     long cursor,
                                                     boolean skipStatus)
                                              throws TwitterException

Returns the subscribers of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `count` - Specifies the number of results to return per page. The default is 20, with a maximum of 5,000.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `skipStatus` - When set to either true, t or 1 statuses will not be included in the returned user objects.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/subscribers | Twitter Developers

#### createUserListSubscription

    UserList createUserListSubscription(long listId)
                                 throws TwitterException

Make the authenticated user follow the specified list.
This method calls https://api.twitter.com/1.1/list/subscribers/create.json

Parameters:
  `listId` - The id of the list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.2.3
See Also:
  POST lists/subscribers/create | Twitter Developers

#### createUserListSubscription

    UserList createUserListSubscription(long ownerId,
                                        String slug)
                                 throws TwitterException

Make the authenticated user follow the specified list.
This method calls https://api.twitter.com/1.1/list/subscribers/create.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/subscribers/create | Twitter Developers

#### createUserListSubscription

    UserList createUserListSubscription(String ownerScreenName,
                                        String slug)
                                 throws TwitterException

Make the authenticated user follow the specified list.
This method calls https://api.twitter.com/1.1/list/subscribers/create.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  POST lists/subscribers/create | Twitter Developers

#### showUserListSubscription

    User showUserListSubscription(long listId,
                                  long userId)
                           throws TwitterException

Check if the specified user is a subscriber of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers/show.json

Parameters:
  `listId` - The id of the list.
  `userId` - The id of the user who you want to know is a member or not of the specified list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable , or the user is not a member of the specified list(TwitterException.getStatusCode() returns 404 in that case.)
Since:
  Twitter4J 2.2.3
See Also:
  GET lists/subscribers/show | Twitter Developers

#### showUserListSubscription

    User showUserListSubscription(long ownerId,
                                  String slug,
                                  long userId)
                           throws TwitterException

Check if the specified user is a subscriber of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers/show.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userId` - The id of the user who you want to know is a member or not of the specified list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable , or the user is not a member of the specified list(TwitterException.getStatusCode() returns 404 in that case.)
Since:
  Twitter4J 3.0.0
See Also:
  GET lists/subscribers/show | Twitter Developers

#### showUserListSubscription

    User showUserListSubscription(String ownerScreenName,
                                  String slug,
                                  long userId)
                           throws TwitterException

Check if the specified user is a subscriber of the specified list.
This method calls https://api.twitter.com/1.1/lists/subscribers/show.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userId` - The id of the user who you want to know is a member or not of the specified list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable , or the user is not a member of the specified list(TwitterException.getStatusCode() returns 404 in that case.)
Since:
  Twitter4J 3.0.2
See Also:
  GET lists/subscribers/show | Twitter Developers

#### destroyUserListSubscription

    UserList destroyUserListSubscription(long listId)
                                  throws TwitterException

Unsubscribes the authenticated user form the specified list.
This method calls https://api.twitter.com/1.1/subscribers/destroy.json

Parameters:
  `listId` - The id of the list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.2.3
See Also:
  POST lists/subscribers/destroy | Twitter Developers

#### destroyUserListSubscription

    UserList destroyUserListSubscription(long ownerId,
                                         String slug)
                                  throws TwitterException

Unsubscribes the authenticated user form the specified list.
This method calls https://api.twitter.com/1.1/subscribers/destroy.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/subscribers/destroy | Twitter Developers

#### destroyUserListSubscription

    UserList destroyUserListSubscription(String ownerScreenName,
                                         String slug)
                                  throws TwitterException

Unsubscribes the authenticated user form the specified list.
This method calls https://api.twitter.com/1.1/subscribers/destroy.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  POST lists/subscribers/destroy | Twitter Developers

#### createUserListMembers

    UserList createUserListMembers(long listId,
                                   long... userIds)
                            throws TwitterException

Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names. The authenticated user must own the list to be able to add members to it. Lists are limited to having 5000 members, and you are limited to adding up to 100 members to a list at a time with this method.
This method calls https://api.twitter.com/1.1/lists/members/create_all.json

Parameters:
  `listId` - The id of the list.
  `userIds` - The array of ids of the user to add as member of the list. up to 100 are allowed in a single request.
Returns:
  the list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/members/create_all | Twitter Developers

#### createUserListMembers

    UserList createUserListMembers(long ownerId,
                                   String slug,
                                   long... userIds)
                            throws TwitterException

Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names. The authenticated user must own the list to be able to add members to it. Lists are limited to having 5000 members, and you are limited to adding up to 100 members to a list at a time with this method.
This method calls https://api.twitter.com/1.1/lists/members/create_all.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userIds` - The array of ids of the user to add as member of the list. up to 100 are allowed in a single request.
Returns:
  the list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/members/create_all | Twitter Developers

#### createUserListMembers

    UserList createUserListMembers(String ownerScreenName,
                                   String slug,
                                   long... userIds)
                            throws TwitterException

Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names. The authenticated user must own the list to be able to add members to it. Lists are limited to having 5000 members, and you are limited to adding up to 100 members to a list at a time with this method.
This method calls https://api.twitter.com/1.1/lists/members/create_all.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userIds` - The array of ids of the user to add as member of the list. up to 100 are allowed in a single request.
Returns:
  the list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  POST lists/members/create_all | Twitter Developers

#### createUserListMembers

    UserList createUserListMembers(long listId,
                                   String... screenNames)
                            throws TwitterException

Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names. The authenticated user must own the list to be able to add members to it. Lists are limited to having 5000 members, and you are limited to adding up to 100 members to a list at a time with this method.
This method calls https://api.twitter.com/1.1/lists/members/create_all.json

Parameters:
  `listId` - The id of the list.
  `screenNames` - The array of screen names of the user to add as member of the list. up to 100 are allowed in a single request.
Returns:
  the list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.7
See Also:
  POST lists/members/create_all | Twitter Developers

#### createUserListMembers

    UserList createUserListMembers(long ownerId,
                                   String slug,
                                   String... screenNames)
                            throws TwitterException

Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names. The authenticated user must own the list to be able to add members to it. Lists are limited to having 5000 members, and you are limited to adding up to 100 members to a list at a time with this method.
This method calls https://api.twitter.com/1.1/lists/members/create_all.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `screenNames` - The array of screen names of the user to add as member of the list. up to 100 are allowed in a single request.
Returns:
  the list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/members/create_all | Twitter Developers

#### createUserListMembers

    UserList createUserListMembers(String ownerScreenName,
                                   String slug,
                                   String... screenNames)
                            throws TwitterException

Adds multiple members to a list, by specifying a comma-separated list of member ids or screen names. The authenticated user must own the list to be able to add members to it. Lists are limited to having 5000 members, and you are limited to adding up to 100 members to a list at a time with this method.
This method calls https://api.twitter.com/1.1/lists/members/create_all.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `screenNames` - The array of screen names of the user to add as member of the list. up to 100 are allowed in a single request.
Returns:
  the list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  POST lists/members/create_all | Twitter Developers

#### showUserListMembership

    User showUserListMembership(long listId,
                                long userId)
                         throws TwitterException

Check if a user is a member of the specified list.
This method calls https://api.twitter.com/1.1/lists/members/show.json

Parameters:
  `listId` - The id of the list.
  `userId` - The id of the user who you want to know is a member or not of the specified list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable , or the user is not a member of the specified list(TwitterException.getStatusCode() returns 404 in that case.)
Since:
  Twitter4J 2.2.3
See Also:
  GET lists/members/show | Twitter Developers

#### showUserListMembership

    User showUserListMembership(long ownerId,
                                String slug,
                                long userId)
                         throws TwitterException

Check if a user is a member of the specified list.
This method calls https://api.twitter.com/1.1/lists/members/show.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userId` - The id of the user who you want to know is a member or not of the specified list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable , or the user is not a member of the specified list(TwitterException.getStatusCode() returns 404 in that case.)
Since:
  Twitter4J 3.0.0
See Also:
  GET lists/members/show | Twitter Developers

#### showUserListMembership

    User showUserListMembership(String ownerScreenName,
                                String slug,
                                long userId)
                         throws TwitterException

Check if a user is a member of the specified list.
This method calls https://api.twitter.com/1.1/lists/members/show.json

Parameters:
  `ownerScreenName` - Id The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userId` - The id of the user who you want to know is a member or not of the specified list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable , or the user is not a member of the specified list(TwitterException.getStatusCode() returns 404 in that case.)
Since:
  Twitter4J 3.0.2
See Also:
  GET lists/members/show | Twitter Developers

#### getUserListMembers

    PagableResponseList<User> getUserListMembers(long listId,
                                                 long cursor)
                                          throws TwitterException

Returns the members of the specified list.
This method calls https://api.twitter.com/1.1/lists/members.json

Parameters:
  `listId` - The id of the list
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.2.3
See Also:
  GET lists/members | Twitter Developers

#### getUserListMembers

    PagableResponseList<User> getUserListMembers(long listId,
                                                 int count,
                                                 long cursor)
                                          throws TwitterException

Returns the members of the specified list.
This method calls https://api.twitter.com/1.1/lists/members.json

Parameters:
  `listId` - The id of the list
  `count` - Specifies the number of results to return per page. The default is 20, with a maximum of 5,000.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/members | Twitter Developers

#### getUserListMembers

    PagableResponseList<User> getUserListMembers(long listId,
                                                 int count,
                                                 long cursor,
                                                 boolean skipStatus)
                                          throws TwitterException

Returns the members of the specified list.
This method calls https://api.twitter.com/1.1/lists/members.json

Parameters:
  `listId` - The id of the list
  `count` - Specifies the number of results to return per page. The default is 20, with a maximum of 5,000.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `skipStatus` - When set to either true, t or 1 statuses will not be included in the returned user objects.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/members | Twitter Developers

#### getUserListMembers

    PagableResponseList<User> getUserListMembers(long ownerId,
                                                 String slug,
                                                 long cursor)
                                          throws TwitterException

Returns the members of the specified list.
This method calls https://api.twitter.com/1.1/lists/members.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  GET lists/members | Twitter Developers

#### getUserListMembers

    PagableResponseList<User> getUserListMembers(long ownerId,
                                                 String slug,
                                                 int count,
                                                 long cursor)
                                          throws TwitterException

Returns the members of the specified list.
This method calls https://api.twitter.com/1.1/lists/members.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `count` - Specifies the number of results to return per page. The default is 20, with a maximum of 5,000.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/members | Twitter Developers

#### getUserListMembers

    PagableResponseList<User> getUserListMembers(long ownerId,
                                                 String slug,
                                                 int count,
                                                 long cursor,
                                                 boolean skipStatus)
                                          throws TwitterException

Returns the members of the specified list.
This method calls https://api.twitter.com/1.1/lists/members.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `count` - Specifies the number of results to return per page. The default is 20, with a maximum of 5,000.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `skipStatus` - When set to either true, t or 1 statuses will not be included in the returned user objects.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/members | Twitter Developers

#### getUserListMembers

    PagableResponseList<User> getUserListMembers(String ownerScreenName,
                                                 String slug,
                                                 long cursor)
                                          throws TwitterException

Returns the members of the specified list.
This method calls https://api.twitter.com/1.1/lists/members.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  GET lists/members | Twitter Developers

#### getUserListMembers

    PagableResponseList<User> getUserListMembers(String ownerScreenName,
                                                 String slug,
                                                 int count,
                                                 long cursor)
                                          throws TwitterException

Returns the members of the specified list.
This method calls https://api.twitter.com/1.1/lists/members.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `count` - Specifies the number of results to return per page. The default is 20, with a maximum of 5,000.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/members | Twitter Developers

#### getUserListMembers

    PagableResponseList<User> getUserListMembers(String ownerScreenName,
                                                 String slug,
                                                 int count,
                                                 long cursor,
                                                 boolean skipStatus)
                                          throws TwitterException

Returns the members of the specified list.
This method calls https://api.twitter.com/1.1/lists/members.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `count` - Specifies the number of results to return per page. The default is 20, with a maximum of 5,000.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
  `skipStatus` - When set to either true, t or 1 statuses will not be included in the returned user objects.
Returns:
  the members of the specified list.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/members | Twitter Developers

#### createUserListMember

    UserList createUserListMember(long listId,
                                  long userId)
                           throws TwitterException

Adds a member to a list. The authenticated user must own the list to be able to add members to it. Lists are limited to having 5000 members.
This method calls https://api.twitter.com/1.1/lists/members/create.json

Parameters:
  `listId` - The id of the list.
  `userId` - The id of the user to add as a member of the list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  POST lists/members/create | Twitter Developers

#### createUserListMember

    UserList createUserListMember(long ownerId,
                                  String slug,
                                  long userId)
                           throws TwitterException

Adds a member to a list. The authenticated user must own the list to be able to add members to it. Lists are limited to having 5000 members.
This method calls https://api.twitter.com/1.1/lists/members/create.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userId` - The id of the user to add as a member of the list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/members/create | Twitter Developers

#### createUserListMember

    UserList createUserListMember(String ownerScreenName,
                                  String slug,
                                  long userId)
                           throws TwitterException

Adds a member to a list. The authenticated user must own the list to be able to add members to it. Lists are limited to having 5000 members.
This method calls https://api.twitter.com/1.1/lists/members/create.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `userId` - The id of the user to add as a member of the list.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  POST lists/members/create | Twitter Developers

#### destroyUserList

    UserList destroyUserList(long listId)
                      throws TwitterException

Deletes the specified list. Must be owned by the authenticated user.
This method calls https://api.twitter.com/1.1/lists/destroy.json

Parameters:
  `listId` - The id of the list to delete
Returns:
  the deleted list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  POST lists/destroy | Twitter Developers

#### destroyUserList

    UserList destroyUserList(long ownerId,
                             String slug)
                      throws TwitterException

Deletes the specified list. Must be owned by the authenticated user.
This method calls https://api.twitter.com/1.1/lists/destroy.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
Returns:
  the deleted list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/destroy | Twitter Developers

#### destroyUserList

    UserList destroyUserList(String ownerScreenName,
                             String slug)
                      throws TwitterException

Deletes the specified list. Must be owned by the authenticated user.
This method calls https://api.twitter.com/1.1/lists/destroy.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
Returns:
  the deleted list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  POST lists/destroy | Twitter Developers

#### updateUserList

    UserList updateUserList(long listId,
                            String newListName,
                            boolean isPublicList,
                            String newDescription)
                     throws TwitterException

Updates the specified list.
This method calls https://api.twitter.com/1.1/lists/update.json

Parameters:
  `listId` - The id of the list to update.
  `newListName` - What you'd like to change the list's name to.
  `isPublicList` - Whether your list is public or private. Optional. Values can be public or private. Lists are public by default if no mode is specified.
  `newDescription` - What you'd like to change the list description to.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  POST lists/update | Twitter Developers

#### updateUserList

    UserList updateUserList(long ownerId,
                            String slug,
                            String newListName,
                            boolean isPublicList,
                            String newDescription)
                     throws TwitterException

Updates the specified list.
This method calls https://api.twitter.com/1.1/lists/update.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `newListName` - What you'd like to change the list's name to.
  `isPublicList` - Whether your list is public or private. Optional. Values can be public or private. Lists are public by default if no mode is specified.
  `newDescription` - What you'd like to change the list description to.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  POST lists/update | Twitter Developers

#### updateUserList

    UserList updateUserList(String ownerScreenName,
                            String slug,
                            String newListName,
                            boolean isPublicList,
                            String newDescription)
                     throws TwitterException

Updates the specified list.
This method calls https://api.twitter.com/1.1/lists/update.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
  `newListName` - What you'd like to change the list's name to.
  `isPublicList` - Whether your list is public or private. Optional. Values can be public or private. Lists are public by default if no mode is specified.
  `newDescription` - What you'd like to change the list description to.
Returns:
  the updated list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  POST lists/update | Twitter Developers

#### createUserList

    UserList createUserList(String listName,
                            boolean isPublicList,
                            String description)
                     throws TwitterException

Creates a new list for the authenticated user. Accounts are limited to 20 lists.
This method calls https://api.twitter.com/1.1/lists/create.json

Parameters:
  `listName` - The name of the list you are creating. Required.
  `isPublicList` - set true if you wish to make a public list
  `description` - The description of the list you are creating. Optional.
Returns:
  the list that was created
Throws:
  `TwitterException` - when Twitter service or network is unavailable, or the authenticated user already has 20 lists(TwitterException.getStatusCode() == 403).
Since:
  Twitter4J 2.1.0
See Also:
  POST lists/create | Twitter Developers

#### showUserList

    UserList showUserList(long listId)
                   throws TwitterException

Show the specified list. Private lists will only be shown if the authenticated user owns the specified list.
This method calls https://api.twitter.com/1.1/lists/show.json

Parameters:
  `listId` - The id of the list to show
Returns:
  the specified list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.2.3
See Also:
  https://dev.twitter.com/docs/api/1.1/get/lists/show | Twitter Developers

#### showUserList

    UserList showUserList(long ownerId,
                          String slug)
                   throws TwitterException

Show the specified list. Private lists will only be shown if the authenticated user owns the specified list.
This method calls https://api.twitter.com/1.1/lists/show.json

Parameters:
  `ownerId` - The user ID of the user who owns the list being requested by a slug.
  `slug` - slug of the list
Returns:
  the specified list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.0
See Also:
  https://dev.twitter.com/docs/api/1.1/get/lists/show | Twitter Developers

#### showUserList

    UserList showUserList(String ownerScreenName,
                          String slug)
                   throws TwitterException

Show the specified list. Private lists will only be shown if the authenticated user owns the specified list.
This method calls https://api.twitter.com/1.1/lists/show.json

Parameters:
  `ownerScreenName` - The screen name of the user who owns the list being requested by a slug.
  `slug` - slug of the list
Returns:
  the specified list
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 3.0.2
See Also:
  https://dev.twitter.com/docs/api/1.1/get/lists/show | Twitter Developers

#### getUserListSubscriptions

    PagableResponseList<UserList> getUserListSubscriptions(String listSubscriberScreenName,
                                                           long cursor)
                                                    throws TwitterException

List the lists the specified user follows.
This method calls https://api.twitter.com/1.1/lists/subscriptions.json

Parameters:
  `listSubscriberScreenName` - The screen name of the list subscriber
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the list of lists the specified user is subscribed to
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  GET lists/subscriptions | Twitter Developers

#### getUserListSubscriptions

    PagableResponseList<UserList> getUserListSubscriptions(String listSubscriberScreenName,
                                                           int count,
                                                           long cursor)
                                                    throws TwitterException

List the lists the specified user follows.
This method calls https://api.twitter.com/1.1/lists/subscriptions.json

Parameters:
  `listSubscriberScreenName` - The screen name of the list subscriber
  `count` - The amount of results to return per page. Defaults to 20. No more than 1000 results will ever be returned in a single page.
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the list of lists the specified user is subscribed to
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/subscriptions | Twitter Developers

#### getUserListSubscriptions

    PagableResponseList<UserList> getUserListSubscriptions(long listSubscriberId,
                                                           long cursor)
                                                    throws TwitterException

List the lists the specified user follows.
This method calls https://api.twitter.com/1.1/lists/subscriptions.json

Parameters:
  `listSubscriberId` - The ID of the list subscriber
  `cursor` - Breaks the results into pages. A single page contains 20 lists. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the list of lists the specified user is subscribed to
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/subscriptions | Twitter Developers

#### getUserListSubscriptions

    PagableResponseList<UserList> getUserListSubscriptions(long listSubscriberId,
                                                           int count,
                                                           long cursor)
                                                    throws TwitterException

List the lists the specified user follows.
This method calls https://api.twitter.com/1.1/lists/subscriptions.json

Parameters:
  `listSubscriberId` - The ID of the list subscriber
  `count` - The amount of results to return per page. Defaults to 20. No more than 1000 results will ever be returned in a single page.
  `cursor` - Breaks the results into pages. Provide a value of -1 to begin paging. Provide values as returned to in the response body's next_cursor and previous_cursor attributes to page back and forth in the list.
Returns:
  the list of lists the specified user is subscribed to
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4
See Also:
  GET lists/subscriptions | Twitter Developers

#### getUserListsOwnerships

    PagableResponseList<UserList> getUserListsOwnerships(String listOwnerScreenName,
                                                         long cursor)
                                                  throws TwitterException

Returns the lists owned by the specified Twitter user. Private lists will only be shown if the authenticated user is also the owner of the lists.
This method calls https://api.twitter.com/1.1/lists/ownerships.json

Parameters:
  `listOwnerScreenName` - The screen name of the list owner
  `cursor` - Breaks the results into pages. Provide a value of -1 to begin paging. Provide values as returned in the response body's next_cursor and previous_cursor attributes to page back and forth in the list. It is recommended to always use cursors when the method supports them. See Using cursors to navigate collections for more information.
Returns:
  lists owned by the specified Twitter user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4

#### getUserListsOwnerships

    PagableResponseList<UserList> getUserListsOwnerships(String listOwnerScreenName,
                                                         int count,
                                                         long cursor)
                                                  throws TwitterException

Returns the lists owned by the specified Twitter user. Private lists will only be shown if the authenticated user is also the owner of the lists.
This method calls https://api.twitter.com/1.1/lists/ownerships.json

Parameters:
  `listOwnerScreenName` - The screen name of the list owner
  `count` - The amount of results to return per page. Defaults to 20. No more than 1000 results will ever be returned in a single page.
  `cursor` - Breaks the results into pages. Provide a value of -1 to begin paging. Provide values as returned in the response body's next_cursor and previous_cursor attributes to page back and forth in the list. It is recommended to always use cursors when the method supports them. See Using cursors to navigate collections for more information.
Returns:
  lists owned by the specified Twitter user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.1

#### getUserListsOwnerships

    PagableResponseList<UserList> getUserListsOwnerships(long listOwnerId,
                                                         long cursor)
                                                  throws TwitterException

Returns the lists owned by the specified Twitter user. Private lists will only be shown if the authenticated user is also the owner of the lists.
This method calls https://api.twitter.com/1.1/lists/ownerships.json

Parameters:
  `listOwnerId` - The id of the list owner
  `cursor` - Breaks the results into pages. Provide a value of -1 to begin paging. Provide values as returned in the response body's next_cursor and previous_cursor attributes to page back and forth in the list. It is recommended to always use cursors when the method supports them. See Using cursors to navigate collections for more information.
Returns:
  lists owned by the specified Twitter user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.4

#### getUserListsOwnerships

    PagableResponseList<UserList> getUserListsOwnerships(long listOwnerId,
                                                         int count,
                                                         long cursor)
                                                  throws TwitterException

Returns the lists owned by the specified Twitter user. Private lists will only be shown if the authenticated user is also the owner of the lists.
This method calls https://api.twitter.com/1.1/lists/ownerships.json

Parameters:
  `listOwnerId` - The id of the list owner
  `count` - The amount of results to return per page. Defaults to 20. No more than 1000 results will ever be returned in a single page.
  `cursor` - Breaks the results into pages. Provide a value of -1 to begin paging. Provide values as returned in the response body's next_cursor and previous_cursor attributes to page back and forth in the list. It is recommended to always use cursors when the method supports them. See Using cursors to navigate collections for more information.
Returns:
  lists owned by the specified Twitter user
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 4.0.1